Find Event notification by notificationId
GET https://services.leadconnectorhq.com/calendars/{calendarId}/notifications/{notificationId}
Authorization
Path parameters
Responses
200 - Successful response
_id (string): Notification ID
receiverType (string): Possible values: 'contact', 'guest', 'assignedUser', 'emails', 'phoneNumbers', 'business' Example: contact
additionalEmailIds (string[])
additionalPhoneNumbers (string[])
channel (string): Possible values: 'email', 'inApp', 'sms', 'whatsapp' Example: email
notificationType (string): Possible values: 'booked', 'confirmation', 'cancellation', 'reminder', 'followup', 'reschedule' Example: confirmation
isActive (boolean): Example: True
additionalWhatsappNumbers (string[])
templateId (string): Example: 0as9d8as0d
body (string): Example: This is a test notification
subject (string): Example: Test Notification
deleted (boolean): Example: False
{
"_id": "string",
"receiverType": "contact",
"additionalEmailIds": [
"example1@email.com",
"example2@email.com"
],
"additionalPhoneNumbers": [
"+919876744444",
"+919876744445"
],
"channel": "email",
"notificationType": "confirmation",
"isActive": true,
"additionalWhatsappNumbers": [
"+919876744444",
"+919876744445"
],
"templateId": "0as9d8as0d",
"body": "This is a test notification",
"subject": "Test Notification",
"afterTime": [
{
"timeOffset": 1,
"unit": "hours"
}
],
"beforeTime": [
{
"timeOffset": 1,
"unit": "hours"
}
],
"selectedUsers": [
"user1",
"user2"
],
"deleted": false
}
400 - Bad Request
401 - Unauthorized
Example
curl -X GET 'https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications/YOUR_notificationId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications/YOUR_notificationId', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications/YOUR_notificationId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications/YOUR_notificationId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);